Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.generic.toplink
Interface TopLinkADFConstants

All Known Implementing Classes:
  PersistenceManager

Deprecated. - TopLink Data Controls created with 10.1.3 ADF, will no longer use these classes.

public interface TopLinkADFConstants

Purpose: TopLink related constants that are ADF specific.

Description: Constants for application parameters.

Version:
  10.1.2

Field Summary
`static java.lang.String` | `ASSIGN_SEQUENCE_NUMBERS_ON_CREATE_KEY` Deprecated. Parameter indicating that sequence numbers should be assigned on object creation
`static java.lang.String` | `DEPLOYMENT_DESCRIPTOR_LOCATION_KEY` Deprecated. Parameter key for the TopLink Deployment Descriptor location
`static java.lang.String` | `SESSION_NAME_KEY` Deprecated. Parameter key for the TopLink Session name to be used
`static java.lang.String` | `SESSIONS_XML_LOCATION_KEY` Deprecated. Parameter key for the TopLink sessions.xml location
`static java.lang.String` | `SHOULD_PERFORM_DELETES_FIRST_KEY` Deprecated. Parameter indicating that the associated UnitOfWork should perform deletes first upon commit

Field Detail

### DEPLOYMENT_DESCRIPTOR_LOCATION_KEY

    public static final java.lang.String DEPLOYMENT_DESCRIPTOR_LOCATION_KEY

  Deprecated.
  Parameter key for the TopLink Deployment Descriptor location

### SESSIONS_XML_LOCATION_KEY

    public static final java.lang.String SESSIONS_XML_LOCATION_KEY

  Deprecated.
  Parameter key for the TopLink sessions.xml location

### SESSION_NAME_KEY

    public static final java.lang.String SESSION_NAME_KEY

  Deprecated.
  Parameter key for the TopLink Session name to be used

### ASSIGN_SEQUENCE_NUMBERS_ON_CREATE_KEY

    public static final java.lang.String ASSIGN_SEQUENCE_NUMBERS_ON_CREATE_KEY

  Deprecated.
  Parameter indicating that sequence numbers should be assigned on object creation

### SHOULD_PERFORM_DELETES_FIRST_KEY

    public static final java.lang.String SHOULD_PERFORM_DELETES_FIRST_KEY

  Deprecated.
  Parameter indicating that the associated UnitOfWork should perform deletes first upon commit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.